---
- entityDefinitions:
  - IDM_Common_Instance_Set__get__Set_A_or_Set_B_if_Set_A_is_empty: '{41a5d6fa-4180-4982-8bbe-7e3e99708826}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - conditionalSelectInstanceSetMethod: '&IDM_Common_Instance_Set__get__Set_A_or_Set_B_if_Set_A_is_empty;'
    forClassId: '&IDC_CommonInstanceSet;'
    verb: 'get'
    name: 'Set A or Set B if Set A is empty'
    accessModifierId: '&IDI_AccessModifier_Public;'
    returnsWorkSetId: '&IDI_WorkSet_SetAOrB;'
    cases:
    - globalIdentifier: '{66e0ffae-cea7-45a7-82f4-23c0d34b867d}'
      trueConditions:
      - instance: '&IDMB_Common_Instance_Set__is__Set_A_empty;'
      useAnyCondition: no
      returnsInstanceSetId: '&IDI_WorkSet_SetB;'
    - globalIdentifier: '{8dfe0727-d7f6-44ba-bfb2-4079960b97f6}'
      useAnyCondition: no
      returnsInstanceSetId: '&IDI_WorkSet_SetA;'
      